mbed TLS v2.23.0

Data Structures | Typedefs
Secure element driver initialization

## Data Structures
struct | psa_drv_se_context_t
| Driver context structure. More...

## Typedefs
typedef psa_status_t(* | psa_drv_se_init_t) (psa_drv_se_context_t *drv_context, void *persistent_data, psa_key_location_t location)
| A driver initialization function. More...
typedef uint64_t | psa_key_slot_number_t

## Detailed Description

## Typedef Documentation

## ◆ psa_drv_se_init_t

typedef psa_status_t(* psa_drv_se_init_t) (psa_drv_se_context_t *drv_context, void *persistent_data, psa_key_location_t location)

A driver initialization function.

Parameters

  [in,out] | drv_context | The driver context structure.
  [in,out] | persistent_data | A pointer to the persistent data that allows writing.
  | location | The location value for which this driver is registered. The driver will be invoked for all keys whose lifetime is in this location.

Return values

  PSA_SUCCESS | The driver is operational. The core will update the persistent data in storage.

Returns
  Any other return value prevents the driver from being used in this session. The core will NOT update the persistent data in storage.

Definition at line 135 of file crypto_se_driver.h.

## ◆ psa_key_slot_number_t

typedef uint64_t psa_key_slot_number_t

An internal designation of a key slot between the core part of the PSA Crypto implementation and the driver. The meaning of this value is driver-dependent.

Definition at line 148 of file crypto_se_driver.h.